mxnet-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From GitBox <...@apache.org>
Subject [GitHub] marcoabreu closed pull request #11494: [MXNET-613] Upgrade jetpack to version 3.2.1
Date Fri, 06 Jul 2018 18:18:21 GMT
marcoabreu closed pull request #11494: [MXNET-613] Upgrade jetpack to version 3.2.1
URL: https://github.com/apache/incubator-mxnet/pull/11494
 
 
   

This is a PR merged from a forked repository.
As GitHub hides the original diff on merge, it is displayed below for
the sake of provenance:

As this is a foreign pull request (from a fork), the diff is supplied
below (as it won't show otherwise due to GitHub magic):

diff --git a/ci/docker/Dockerfile.build.jetson b/ci/docker/Dockerfile.build.jetson
index 9cacdc34b72..f3cf1112c34 100755
--- a/ci/docker/Dockerfile.build.jetson
+++ b/ci/docker/Dockerfile.build.jetson
@@ -50,20 +50,20 @@ COPY --from=cudabuilder /usr/local/cuda /usr/local/cuda
 ENV TARGET_ARCH aarch64
 ENV TARGET_OS linux
 
-# Install ARM depedencies based on Jetpack 3.2
-RUN JETPACK_DOWNLOAD_PREFIX=http://developer.download.nvidia.com/devzone/devcenter/mobile/jetpack_l4t/3.2GA/m892ki/JetPackL4T_32_b196/
&& \
+# Install ARM depedencies based on Jetpack 3.2.1
+RUN JETPACK_DOWNLOAD_PREFIX=https://developer.download.nvidia.com/devzone/devcenter/mobile/jetpack_l4t/3.2.1/m8u2ki/JetPackL4T_321_b23
&& \
     ARM_CUDA_INSTALLER_PACKAGE=cuda-repo-l4t-9-0-local_9.0.252-1_arm64.deb && \
-    ARM_CUDNN_INSTALLER_PACKAGE=libcudnn7_7.0.5.13-1+cuda9.0_arm64.deb && \
-    ARM_CUDNN_DEV_INSTALLER_PACKAGE=libcudnn7-dev_7.0.5.13-1+cuda9.0_arm64.deb &&
\
+    ARM_CUDNN_INSTALLER_PACKAGE=libcudnn7_7.0.5.15-1+cuda9.0_arm64.deb && \
+    ARM_CUDNN_DEV_INSTALLER_PACKAGE=libcudnn7-dev_7.0.5.15-1+cuda9.0_arm64.deb &&
\
+    dpkg --add-architecture arm64 && \
     wget -nv $JETPACK_DOWNLOAD_PREFIX/$ARM_CUDA_INSTALLER_PACKAGE && \
     wget -nv $JETPACK_DOWNLOAD_PREFIX/$ARM_CUDNN_INSTALLER_PACKAGE && \
     wget -nv $JETPACK_DOWNLOAD_PREFIX/$ARM_CUDNN_DEV_INSTALLER_PACKAGE && \
-    dpkg -i $ARM_CUDA_INSTALLER_PACKAGE && \
+    dpkg -i --force-architecture  $ARM_CUDA_INSTALLER_PACKAGE && \
     apt-key add /var/cuda-repo-9-0-local/7fa2af80.pub && \
-    dpkg -i $ARM_CUDNN_INSTALLER_PACKAGE && \
-    dpkg -i $ARM_CUDNN_DEV_INSTALLER_PACKAGE && \
-    apt update -y && apt install -y unzip cuda-libraries-dev-9-0 libcudnn7-dev
-
+    dpkg -i --force-architecture  $ARM_CUDNN_INSTALLER_PACKAGE && \
+    dpkg -i --force-architecture  $ARM_CUDNN_DEV_INSTALLER_PACKAGE && \
+    apt update -y || true && apt install -y cuda-libraries-dev-9-0 libcudnn7-dev
 ENV PATH $PATH:/usr/local/cuda/bin
 ENV NVCCFLAGS "-m64"
 ENV CUDA_ARCH "-gencode arch=compute_53,code=sm_53 -gencode arch=compute_62,code=sm_62"
diff --git a/ci/docker/install/deb_ubuntu_ccache.sh b/ci/docker/install/deb_ubuntu_ccache.sh
index 31cd5c8b25a..c7cccbf480f 100755
--- a/ci/docker/install/deb_ubuntu_ccache.sh
+++ b/ci/docker/install/deb_ubuntu_ccache.sh
@@ -23,7 +23,7 @@ set -ex
 
 pushd .
 
-apt update
+apt update || true
 apt install -y \
     libxslt1-dev \
     docbook-xsl \
diff --git a/ci/docker/install/ubuntu_arm.sh b/ci/docker/install/ubuntu_arm.sh
index becb012bd18..1e4f371fbe6 100755
--- a/ci/docker/install/ubuntu_arm.sh
+++ b/ci/docker/install/ubuntu_arm.sh
@@ -19,6 +19,6 @@
 
 set -ex
 
-apt update
+apt update || true
 apt install -y \
     unzip


 

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
users@infra.apache.org


With regards,
Apache Git Services

Mime
View raw message